package com.srs.comprehensive.mapper;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.SrsSportTest;
import com.srs.comprehensive.domain.SumSportTest;
import com.srs.comprehensive.domain.Vo.CphScoreVo;
import com.srs.comprehensive.domain.Vo.SrsSportTestStudent;
import com.srs.comprehensive.domain.Vo.StuIdNo;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 体能测试Mapper接口
 * 
 * @author srs
 * @date 2023-06-28
 */
@Mapper
public interface SrsSportTestMapper extends EasyBaseMapper<SrsSportTest>
{



    public List<StuIdNo> getStuIdByStuNosToInsert(@Param("stuNos")String[] stuNos);
    public List<StuIdNo> getStuIdByStuNosToUpdate(@Param("stuNos")String[] stuNos,@Param("stuYearId") Long stuYearId);


    /**
     * 学号和成绩
     * @author zhy
     * @date 2023-08-18 09:41:41
     * @return
     **/
    public List<CphScoreVo> listAllSportInfo(Long stuYearId);

    /**
     * 查询体能测试
     * 
     * @param id 体能测试主键
     * @return 体能测试
     */
    public SrsSportTest selectSrsSportTestById(Long id);

    /**
     * 根据学生id查询
     *
     */
    public SrsSportTest selectSrsSportTestByStuId(Long stuId);

    /**
     * 查询体能测试列表
     * 
     * @param srsSportTest 体能测试
     * @return 体能测试集合
     */
    public List<SrsSportTest> selectSrsSportTestList(SrsSportTest srsSportTest);

    //selectSportTestStuNo();

    /**
     * 新增体能测试
     * 
     * @param srsSportTest 体能测试
     * @return 结果
     */
    public int insertSrsSportTest(SrsSportTest srsSportTest);

    /**
     * 修改体能测试
     * 
     * @param srsSportTest 体能测试
     * @return 结果
     */
    public int updateSrsSportTest(SrsSportTest srsSportTest);

    /**
     * 删除体能测试
     * 
     * @param id 体能测试主键
     * @return 结果
     */
    public int deleteSrsSportTestById(Long id);

    /**
     * 批量删除体能测试
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsSportTestByIds(Long[] ids);

    /**
     * 批量添加导入
     */
    int forAddSportTest(List<SumSportTest> sumSportTests);
    //批量修改
    void updateSrsSportTestAll(@Param("updateSrsSportTestStudent") List<SrsSportTest> updateSrsSportTestStudent);
}
